> ## Documentation Index
> Fetch the complete documentation index at: https://docs.honeyhive.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a configuration



## OpenAPI

````yaml delete /configurations/{id}
openapi: 3.0.3
info:
  title: HoneyHive API
  version: 1.0.1
servers:
  - url: https://api.honeyhive.ai
security:
  - BearerAuth: []
paths:
  /configurations/{id}:
    delete:
      tags:
        - Configurations
      summary: Delete a configuration
      operationId: deleteConfiguration
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: Configuration ID like `6638187d505c6812e4043f24`
      responses:
        '200':
          description: Configuration deleted successfully
      x-codeSamples:
        - lang: python
          label: deleteConfiguration
          source: |-
            import honeyhive

            s = honeyhive.HoneyHive(
                bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
            )


            res = s.configurations.delete_configuration(id='<value>')

            if res is not None:
                # handle response
                pass
        - lang: typescript
          label: deleteConfiguration
          source: >-
            import { HoneyHive } from "honeyhive";

            import { DeleteConfigurationRequest } from
            "honeyhive/dist/models/operations";


            async function run() {
              const sdk = new HoneyHive({
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
              });
            const id: string = "<value>";

              const res = await sdk.configurations.deleteConfiguration(id);

              if (res.statusCode == 200) {
                // handle response
              }
            }


            run();
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````